# Aruco detector
With this ROS2-Node can be determined the pose of different ArUco Markers. The goal of this project was to attach a marker on different robots, and get the absolute positions and orientations via a camera on the ceiling. However, this localization can also be applied to any other arbitary object.
This project was created as an project thesis (MSY-Master). 

![Bild 1](./Images/Aruco_robot.jpg "ArUco Marker attached on robot")


## Requirements
- Transforms3D

    For computing the pose the node requires this library. A detailed description can be found on: https://matthew-brett.github.io/transforms3d/) 

        pip install transforms3d

- usb_cam

    Usb_cam is a frequently used ros driver for V4L USB cameras. A detailed description can be found here: http://wiki.ros.org/usb_cam


        sudo apt get install ros-<ros2-distro>-usb-cam

    

## Running the code
For an easy start there is already created a launch file. All required parameters can be set and edited centrally here. The launch-file starts: 
- aruco_detector_node
- usb_cam
- rqt_image_view

        cd launch/
        ros2 launch aruco_launch.py

    ![Bild 1](./Images/Topics.jpg "ArUco Marker attached on robot")

## Outputs


